%define         major   0.4
%define         minor   1

Name:           gloobus-preview
Version:        %{major}.%{minor}
Release:        %mkrel 10
Summary:        A Gnome extension to enable previews for any kind of file

Group:          File tools
License:        GPLv3
URL:            https://launchpad.net/gloobus-preview

Source0:        http://launchpad.net/gloobus/gloobus-{%major}/%{version}/+download/%{name}-%{version}.tar.gz
# This patch fixes problems with autotools not respecting install directories
# it also includes the rebuild of the autotools scripts required
Patch0:         gloobus-location-prereconf.patch
Patch1:         gloobus-page-render-to-pixbuf.patch

BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:  pkgconfig(cairomm-1.0)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(libgnomeui-2.0)
BuildRequires:  pkgconfig(gtksourceview-2.0)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  gvfs-devel
BuildRequires:  unoconv
BuildRequires:  desktop-file-utils
BuildRequires:  libtool
BuildRequires:  autoconf

Requires:	GConf2

%description
Gloobus Preview allows instant access to a variety of file types without the
need to open their default applications.

%prep
%setup -q
%autopatch -p1
find . -name '*.cpp' -exec chmod -x {} \;
find . -name '*.h' -exec chmod -x {} \;

%build
libtoolize
autoreconf -if
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.la' -delete

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc README AUTHORS COPYING THANKS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/gloobus
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.4.1-10.mga6
+ Revision: 1070624
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.4.1-9.mga6
+ Revision: 1046180
- test rebuild for poppler

* Mon Feb 08 2016 umeabot <umeabot> 0.4.1-8.mga6
+ Revision: 944543
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-7.mga5
+ Revision: 746083
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-6.mga5
+ Revision: 679649
- Mageia 5 Mass Rebuild

* Sat Jul 19 2014 daviddavid <daviddavid> 0.4.1-5.mga5
+ Revision: 653751
- fix name for BR gvfs-devel instead of libgvfs-devel

* Fri Oct 18 2013 umeabot <umeabot> 0.4.1-4.mga4
+ Revision: 504922
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 351827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Rebuild against new libcmis

* Tue Nov 08 2011 dams <dams> 0.4.1-1.mga2
+ Revision: 165519
- fix typo on patch0 (missing space)
- imported package gloobus-preview

